GTPin: Data Fields

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- IargBufferOffset() : gtpin::IargBufferOffset< ARGT >
- IargConstGrfRange() : gtpin::IargConstGrfRange
- IargDevicePtr() : gtpin::IargDevicePtr
- IargFactory() : gtpin::IGtKernelInstrument
- IargFfTid() : gtpin::IargFfTid
- IargGrfRange() : gtpin::IargGrfRange
- IargHostPtr() : gtpin::IargHostPtr
- IargInsOpMask() : gtpin::IargInsOpMask
- IargPrime() : gtpin::IargPrime< ARGT >
- IargSimdMask() : gtpin::IargSimdMask
- IargSlmPtr() : gtpin::IargSlmPtr
- IargTid() : gtpin::IargTid
- Id() : gtpin::IGtIns , gtpin::IGtKernel , gtpin::IGtBbl , gtpin::IGtFunction , gtpin::IGtGenModel
- IGC_STACK : gtpin::GtHliCallStd
- IMAGE : gtpin::GtAddrSpace
- Include() : gtpin::IntRange< T, S >
- Includes() : gtpin::GtAccessType , gtpin::GtExecMask
- IncomingEdges() : gtpin::IGtBbl
- index : gtpin::GtKernelArgument
- Initialize() : gtpin::GtProfileArray , gtpin::GtProfileTrace
- INS_OP_MASK : gtpin::GtIargType
- InsertCallAtBbl() : gtpin::GtHliFunction< RET, PRMS >
- InsertCallAtInstruction() : gtpin::GtHliFunction< RET, PRMS >
- InsertCallAtKernelEntries() : gtpin::GtHliFunction< RET, PRMS >
- InsertCallAtKernelExits() : gtpin::GtHliFunction< RET, PRMS >
- InsertPredicatedCallAtBbl() : gtpin::GtHliFunction< RET, PRMS >
- InsertPredicatedCallAtInstruction() : gtpin::GtHliFunction< RET, PRMS >
- InsertPredicatedCallAtKernelEntries() : gtpin::GtHliFunction< RET, PRMS >
- InsertPredicatedCallAtKernelExits() : gtpin::GtHliFunction< RET, PRMS >
- InstructionFactory() : gtpin::IGtGenCoder
- Instructions() : gtpin::IGtBbl
- InstrumentBbl() : gtpin::IGtKernelInstrument
- InstrumentEdge() : gtpin::IGtKernelInstrument
- InstrumentEntries() : gtpin::IGtKernelInstrument
- InstrumentExits() : gtpin::IGtKernelInstrument
- InstrumentInstruction() : gtpin::IGtKernelInstrument
- Intersect() : gtpin::IntRange< T, S >
- IntRange() : gtpin::IntRange< T, S >
- Invalid() : gtpin::Validatable< T, INV, UniqueType >
- INVALID : gtpin::GtAddrSpace , gtpin::GtBinaryFormat , gtpin::GtHliLanguage , gtpin::GtHliCallStd , gtpin::GtHliParamType , gtpin::GtIargType
- IsA32() : gtpin::GtMemoryAddrModel
- IsA64() : gtpin::GtMemoryAddrModel
- IsAcc() : gtpin::GtArchRegType
- IsAccModifier() : gtpin::IGtIns
- IsAccReg() : gtpin::GtReg
- IsAccWriteEnabled() : gtpin::IGtIns
- IsAddr() : gtpin::GtArchRegType
- IsAddrReg() : gtpin::GtReg
- IsAllocated() : gtpin::GtProfileTrace , gtpin::GtProfileArray
- IsArf() : gtpin::GtRegFileType , gtpin::GtReg
- IsArithmetic64Supported() : gtpin::IGtGenModel
- IsAtomic() : gtpin::GtThreadCtrl , gtpin::IGtIns
- IsAtomic64Supported() : gtpin::IGtGenModel
- IsAtomicMemoryAccess() : gtpin::IGtGenArch
- IsBlock2DAccess() : gtpin::IGtIns
- IsBreakpointSet() : gtpin::IGtIns
- IsBss() : gtpin::GtMemoryAddrModel
- IsBts() : gtpin::GtMemoryAddrModel
- IsBufferOffset() : gtpin::GtIargType
- IsChangingIP() : gtpin::IGtIns
- IsChannelEnable() : gtpin::GtArchRegType
- IsChannelEnableReg() : gtpin::GtReg
- IsCompact() : gtpin::IGtIns
- IsCompatible() : gtpin::GtIargType
- IsCompleted() : gtpin::IGtKernelDispatch
- IsCompute() : gtpin::GtGpuPlatform
- IsDebug() : gtpin::GtArchRegType
- IsDebugReg() : gtpin::GtReg
- IsDevicePtr() : gtpin::GtIargType
- IsDirect() : gtpin::GtAddrMode
- IsEmpty() : gtpin::IntRange< T, S > , gtpin::final , gtpin::GtMemoryBuffer , gtpin::IGtBbl , gtpin::IGtCfg , gtpin::GtCoreString , gtpin::IGtGenProcedure
- IsEntry() : gtpin::IGtBbl
- IsEot() : gtpin::IGtBbl , gtpin::IGtIns
- IsExplicit() : gtpin::GtKernelArgument
- IsFallThrough() : gtpin::IGtEdge
- IsFfTid() : gtpin::GtIargType
- IsFlag() : gtpin::GtArchRegType
- IsFlagModifier() : gtpin::IGtIns
- IsFlagReg() : gtpin::GtReg
- IsFlowControl() : gtpin::IGtIns
- IsGrf() : gtpin::GtRegFileType , gtpin::GtReg
- IsHostPtr() : gtpin::GtIargType
- IsIgcStackCall() : gtpin::GtHliCallStd
- IsIllegal() : gtpin::IGtIns
- IsImm() : gtpin::GtRegFileType
- IsIndirect() : gtpin::GtAddrMode
- IsInstrumented() : gtpin::IGtKernel
- IsInteger() : gtpin::GtDataType
- IsIntegerDataType() : gtpin::IGtGenArch
- IsInvalid() : gtpin::Validatable< T, INV, UniqueType >
- IsInverted() : gtpin::GtPredicate
- IsIp() : gtpin::GtArchRegType
- IsIpReg() : gtpin::GtReg
- IsKernelMain() : gtpin::IGtFunction
- IsLsc() : gtpin::GtSfid
- IsMemAccess() : gtpin::IGtIns
- IsMemoryPointer() : gtpin::GtKernelArgument
- IsMemorySurface() : gtpin::GtSfid , gtpin::IGtGenArch
- IsMemorySurfaceReadOnly() : gtpin::GtSfid , gtpin::IGtGenArch
- IsMemorySurfaceWritable() : gtpin::IGtGenArch , gtpin::GtSfid
- IsMemRead() : gtpin::IGtIns
- IsMemWrite() : gtpin::IGtIns
- IsNegative() : gtpin::GtSrcModifier
- IsNone() : gtpin::GtAccessType , gtpin::GtPredicate
- IsNop() : gtpin::IGtIns
- IsNormal() : gtpin::GtSrcModifier , gtpin::GtThreadCtrl , gtpin::GtPredCtrl , gtpin::GtCondModifier
- IsNull() : gtpin::GtArchRegType
- IsNullReg() : gtpin::GtReg
- IsOpenCl() : gtpin::GtHliLanguage
- IsPerfMonReg() : gtpin::GtReg
- IsPointer() : gtpin::GtKernelArgument
- IsPredicated() : gtpin::IGtIns
- IsPrime() : gtpin::GtHliParamTraits , gtpin::GtHliParamType , gtpin::GtIargType
- IsProfilingEnabled() : gtpin::IGtKernelDispatch
- IsPtr() : gtpin::GtHliParamType , gtpin::GtHliParamTraits
- IsRayTracing() : gtpin::IGtKernel
- IsRayTracingPrimary() : gtpin::IGtKernel
- IsRead() : gtpin::GtAccessType
- IsReadOnly() : gtpin::GtAccessType
- IsReadWrite() : gtpin::GtAccessType
- IsReg() : gtpin::GtRegFileType
- IsSamePreg() : gtpin::GtReg
- IsSampler() : gtpin::GtSfid
- IsScalar() : gtpin::IGtHliModule , gtpin::GtArchRegType
- IsSendMessage() : gtpin::IGtIns
- IsSequential() : gtpin::GtPredCtrl
- IsShare() : gtpin::GtMmapMethod
- IsShareConst() : gtpin::GtMmapMethod
- IsShareRet() : gtpin::GtMmapMethod
- IsSlm() : gtpin::GtMemoryAddrModel , gtpin::GtSfid
- IsSlmPtr() : gtpin::GtIargType
- IsStackPointer() : gtpin::GtArchRegType
- IsStackPointerReg() : gtpin::GtReg
- IsState() : gtpin::GtArchRegType
- IsStateless() : gtpin::GtMemoryAddrModel
- IsStateReg() : gtpin::GtReg
- IsSurfaceState() : gtpin::GtMemoryAddrModel
- IsSwitch() : gtpin::GtThreadCtrl
- IsSync() : gtpin::IGtIns
- IsTid() : gtpin::GtIargType
- IsTileIdSupported() : gtpin::IGtGenCoder
- IsTimeStamp() : gtpin::GtArchRegType
- IsTimeStampReg() : gtpin::GtReg
- IsTruncated() : gtpin::GtProfileTrace
- IsUrb() : gtpin::GtSfid
- IsValid() : gtpin::GtMemoryAccessChannelType , gtpin::GtIargType , gtpin::GtKernelArgument , gtpin::Validatable< T, INV, UniqueType > , gtpin::GtDstRegion , gtpin::GtHliLanguage , gtpin::GtVregType , gtpin::IGtVreg , gtpin::GtReg , gtpin::GtHliCallStd , gtpin::GtRegRegion , gtpin::GtImm , gtpin::GtGpuPlatform , gtpin::GtSystolicInfo , gtpin::GtMemoryAddrModel , gtpin::GtHliParamTraits , gtpin::GtStride , gtpin::GtHliParamType , gtpin::GtSrcModifier , gtpin::GtMmapMethod , gtpin::GtArchRegType
- IsVoid() : gtpin::GtHliParamTraits , gtpin::IGtIret
- IsWrite() : gtpin::GtAccessType
- IsWriteMaskEnabled() : gtpin::IGtIns
- IsWriteOnly() : gtpin::GtAccessType
- IterateInstructions() : gtpin::IGtGenProcedure , gtpin::final , gtpin::IGtGenProcedure , gtpin::final

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT